VUZDevelopers

Get product by ID

GET
/products/{id}

Returns a single product with its details

X-Api-Key<token>

Business API key, e.g. vuz_ab12cdef... Created via Settings → Integrations → API Keys. Unlike partner keys, a public API key's STRING does not encode its environment — isolation instead comes from a completely separate sandbox database: a key minted on the Sandbox server (above) only ever reads/writes sandbox data and can never see or affect production, regardless of what the key looks like.

In: header

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://example.com/products/string"
{  "id": "string",  "businessId": "string",  "name": "string",  "nameEn": "string",  "productType": "product",  "sku": "string",  "description": "string",  "unitPrice": 0,  "costPrice": 0,  "unit": "string",  "barcode": "string",  "supplierSku": "string",  "imageUrl": "string",  "isInventoryItem": true,  "isActive": true,  "defaultWarehouseId": "string",  "retailPrice": 0,  "wholesalePrice": 0,  "specialPrice": 0,  "usageCount": 0,  "lastUsedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}